Name:		momo-i-repos
Version:	0.2
Release:	7%{?dist}
Summary:	Custom rpm repositories on momo-i.org.

Group:		System Environment/Base
License:	MIT
URL:		http://ftp.momo-i.org/
Source0:	RPM-GPG-KEY-momo-i.4096
Source1:	RPM-GPG-KEY-momo-i.1024
Source2:	momo-i-el.repo
Source3:	momo-i-fedora.repo
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

%if 0%{?rhel} <= 5
Requires:	python-hashlib
%endif

%description
Custom rpm repositories on momo-i.org.
If you are using centos4/5, please install python-hashlib.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%if 0%{?rhel} <= 5
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-momo-i
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/momo-i.repo
%endif

%if 0%{?rhel} >= 6
install -D -m644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-momo-i
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/momo-i.repo
%endif

%if 0%{?fedora}
install -D -m644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-momo-i
install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/momo-i.repo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg
%{_sysconfdir}/yum.repos.d

%changelog
* Mon Oct 24 2011 momo-i <webmaster@momo-i.org> - 0.2-5
- Modified gpg key for centos4/5.

* Thu Oct 06 2011 momo-i <webmaster@momo-i.org> - 0.2-3
- Add BuildRequires for centos4/5.

* Thu Oct 06 2011 momo-i <webmaster@momo-i.org> - 0.2-2
- update repo file. default is on.

* Thu Jun 16 2011 momo-i <webmaster@momo-i.org> - 0.1-1
- Initial release.
